Subject: Re: [Pce] NEXT STEP of draft-wu-pce-traffic-steering-sfc

From: Qin Wu <[email-masked]>
Date: Tue, 8 Mar 2016 08:13:54 +0000

Dear PCE Chairs:
Here is the update to draft-wu-pce-traffic-steering-sfc (https://datatracker.ietf.org/doc/draft-wu-pce-traffic-steering-sfc/).

This draft discusses SFC support for a stateful PCE to compute and instantiate Service Function Paths and has been discussed in the past PCE WG meeting .

It provides a solution to SFC control plane requirements defined in draft-ietf-sfc-control-plane.

We believe it is ready for WG Adoption, and we’d like to request it be considered as an SFC document with an adoption call.

-Qin
发件人: Qin Wu
发送时间: 2015年12月23日 15:25
收件人: [email-masked]<mailto:[email-masked]>
抄送: Dhruv Dhody ([email-masked]<mailto:[email-masked]>)
主题: NEXT STEP of draft-wu-pce-traffic-steering-sfc

Hi, folks:
If you didn't follow the discussion on SFC mailing list, I like to draw your attention that SFC control
plane architecture adopted as a WG draft in August 2015 triggered a lot of
SFC control plane requirements discussions that are related to draft-wu-pce-traffic-steering-sfc-07.
https://mailarchive.ietf.org/arch/msg/sfc/0H-H4BhyN0Nuroev_0hd5CMKOYM
https://mailarchive.ietf.org/arch/msg/sfc/CVU-H4hP9kQD0CoLMHw9jYfZ0M4
https://mailarchive.ietf.org/arch/msg/sfc/3fy9X1VmGN6V6GIT_QMDXrXwVkY

1.       The relationship between SFC,SFP and RSP was clarified, the control plane operating on SPF IDs rather than SFC ID got agreed.

2.       Service Chaining work doesn't requires correlating service path IDs with service chain IDs within the data plane. The relationship of paths to chains falls in the control plane.

3.control-plane requirements defined in SFC control plane architecture allows to instruct a loose path (SFP) or a strict path (RSP),whether a full path is specified within a domain or
if it is deferred to SFFs is really deployment-specific.

4.In addition, Encoding the Exact SFF-SF-sequence in Data Packets and Fully Controlled SFF-SF-Sequence for a SFP were also discussed on the list
and two new sections 4.10.4 and 4.10.5 were added into version (-02) of draft-ietf-sfc-control-plane to discuss RSP related aspect.

( Referring to Section 2.3.1 of RFC7665,
we can see RSP specify exact sequence of SFFs and SFs that the packets will actually visit and SFF/SF locators while SFP may be fully constrained or partial constrained and is
constrained version of the original SFC. )

draft-wu-pce-traffic-steering-sfc-07 is a draft that provides a solution to SFC control plane requirements on RSP, SFC, SFP which was discussed on the SFC mailing list.
We authors plan to make revision to draft-wu-pce-traffic-steering-sfc to capture all the discussing points in the SFC ML and get in line with the draft-ietf-sfc-control-plane adopted recently in SFC WG.
Let us know if you have any comments/suggestion/inputs on this topic.

Also wish you have a good holiday in Christmas.:-)

Regards!
-Qin

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.